<?xml version="1.0"?>
<!--
*  '$RCSfile$'
*      Authors: Chris Jones
*    Copyright: 2000 Regents of the University of California and the
*         National Center for Ecological Analysis and Synthesis
*  For Details: http://www.nceas.ucsb.edu/
*
*   '$Author$'
*     '$Date$'
* '$Revision$'
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
* This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to
* convert an XML file showing the resultset of a query
* into an HTML format suitable for rendering with modern web browsers.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <xsl:output method="html" encoding="iso-8859-1" indent="yes" standalone="yes"
    doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
    doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
    
  <xsl:template name="searchbox">
    <!-- begin search form area -->
    <xsl:comment>begin the search form area</xsl:comment>
      <table class="group group_border">
        <tr>
          <th colspan="2">
            Category Search:
          </th>
        </tr>
        <tr>
          <td>
            <a
            href="{$servletURL}?action=squery&amp;qformat=pisco&amp;query=%3C?xml%20version=%221.0%22?%3E%3Cpathquery%20version=%221.2%22%3E%3Creturndoctype%3Eeml://ecoinformatics.org/eml-2.1.1%3C/returndoctype%3Eeml://ecoinformatics.org/eml-2.1.0%3C/returndoctype%3E%3Creturndoctype%3Eeml://ecoinformatics.org/eml-2.0.1%3C/returndoctype%3E%3Creturndoctype%3Eeml://ecoinformatics.org/eml-2.0.0%3C/returndoctype%3E%3Creturnfield%3Edataset/title%3C/returnfield%3E%3Creturnfield%3EdataTable/entityName%3C/returnfield%3E%3Creturnfield%3Ecreator/individualName/surName%3C/returnfield%3E%3Creturnfield%3Ecreator/organizationName%3C/returnfield%3E%3Creturnfield%3EdataTable/physical/distribution/online/url%3C/returnfield%3E%3Cquerygroup%20operator=%22INTERSECT%22%3E%3Cqueryterm%20casesensitive=%22false%22%20searchmode=%22starts-with%22%3E%3Cvalue%3EPISCO:%3C/value%3E%3Cpathexpr%3Etitle%3C/pathexpr%3E%3C/queryterm%3E%3Cqueryterm%20casesensitive=%22false%22%20searchmode=%22starts-with%22%3E%3Cvalue%3Episco%3C/value%3E%3Cpathexpr%3E/eml/@packageId%3C/pathexpr%3E%3C/queryterm%3E%3Cquerygroup%20operator=%22INTERSECT%22%3E%3Cqueryterm%20casesensitive=%22true%22%20searchmode=%22equals%22%3E%3Cvalue%3EOceanographic%20Sensor%20Data%3C/value%3E%3Cpathexpr%3EkeywordSet/keyword%3C/pathexpr%3E%3C/queryterm%3E%3Cqueryterm%20casesensitive=%22true%22%20searchmode=%22equals%22%3E%3Cvalue%3EPISCO%20Categories%3C/value%3E%3Cpathexpr%3EkeywordSet/keywordThesaurus%3C/pathexpr%3E%3C/queryterm%3E%3C/querygroup%3E%3C/querygroup%3E%3C/pathquery%3E">
           <!--
           <?xml version="1.0"?>
             <pathquery version="1.2">
               <returndoctype>eml://ecoinformatics.org/eml-2.1.1</returndoctype>
               <returndoctype>eml://ecoinformatics.org/eml-2.1.0</returndoctype>
               <returndoctype>eml://ecoinformatics.org/eml-2.0.1</returndoctype>
               <returndoctype>eml://ecoinformatics.org/eml-2.0.0</returndoctype>
               <returnfield>dataset/title</returnfield>
               <returnfield>dataTable/entityName</returnfield>
               <returnfield>creator/individualName/surName</returnfield>
               <returnfield>creator/organizationName</returnfield>
               <returnfield>dataTable/physical/distribution/online/url</returnfield>
               <querygroup operator="INTERSECT">
                 <queryterm casesensitive="false" searchmode="starts-with">
                   <value>PISCO:</value>
                   <pathexpr>title</pathexpr>
                 </queryterm>
                 <queryterm casesensitive="false" searchmode="starts-with">
                   <value>pisco</value>
                   <pathexpr>/eml/@packageId</pathexpr>
                 </queryterm>
                 <queryterm casesensitive="false" searchmode="contains">
                   <value>PISCO</value>
                   <pathexpr>creator/organizationName</pathexpr>
                 </queryterm>
                 <querygroup operator="INTERSECT">
                   <queryterm casesensitive="true" searchmode="equals">
                     <value>Oceanographic Sensor Data</value>
                     <pathexpr>keywordSet/keyword</pathexpr>
                   </queryterm>
                   <queryterm casesensitive="true" searchmode="equals">
                     <value>PISCO Categories</value>
                     <pathexpr>keywordSet/keywordThesaurus</pathexpr>
                   </queryterm>
                 </querygroup>
               </querygroup>
             </pathquery>
             -->
                 Oceanographic Sensor Data
                 </a>
                 <br />

            <a
            href="{$servletURL}?action=squery&amp;qformat=pisco&amp;query=%3C?xml%20version=%221.0%22?%3E%3Cpathquery%20version=%221.2%22%3E%3Creturndoctype%3Eeml://ecoinformatics.org/eml-2.1.1%3C/returndoctype%3Eeml://ecoinformatics.org/eml-2.1.0%3C/returndoctype%3E%3Creturndoctype%3Eeml://ecoinformatics.org/eml-2.0.1%3C/returndoctype%3E%3Creturndoctype%3Eeml://ecoinformatics.org/eml-2.0.0%3C/returndoctype%3E%3Creturnfield%3Edataset/title%3C/returnfield%3E%3Creturnfield%3EdataTable/entityName%3C/returnfield%3E%3Creturnfield%3Ecreator/individualName/surName%3C/returnfield%3E%3Creturnfield%3Ecreator/organizationName%3C/returnfield%3E%3Creturnfield%3EdataTable/physical/distribution/online/url%3C/returnfield%3E%3Cquerygroup%20operator=%22INTERSECT%22%3E%3Cqueryterm%20casesensitive=%22false%22%20searchmode=%22starts-with%22%3E%3Cvalue%3EPISCO:%3C/value%3E%3Cpathexpr%3Etitle%3C/pathexpr%3E%3C/queryterm%3E%3Cqueryterm%20casesensitive=%22false%22%20searchmode=%22starts-with%22%3E%3Cvalue%3Episco%3C/value%3E%3Cpathexpr%3E/eml/@packageId%3C/pathexpr%3E%3C/queryterm%3E%3Cquerygroup%20operator=%22INTERSECT%22%3E%3Cqueryterm%20casesensitive=%22true%22%20searchmode=%22equals%22%3E%3Cvalue%3EIntertidal%20Community%20Survey%20Data%3C/value%3E%3Cpathexpr%3EkeywordSet/keyword%3C/pathexpr%3E%3C/queryterm%3E%3Cqueryterm%20casesensitive=%22true%22%20searchmode=%22equals%22%3E%3Cvalue%3EPISCO%20Categories%3C/value%3E%3Cpathexpr%3EkeywordSet/keywordThesaurus%3C/pathexpr%3E%3C/queryterm%3E%3C/querygroup%3E%3C/querygroup%3E%3C/pathquery%3E">
             Intertidal Community Survey Data
             </a>
             <br />
            <a
            href="{$servletURL}?action=squery&amp;qformat=pisco&amp;query=%3C?xml%20version=%221.0%22?%3E%3Cpathquery%20version=%221.2%22%3E%3Creturndoctype%3Eeml://ecoinformatics.org/eml-2.1.1%3C/returndoctype%3Eeml://ecoinformatics.org/eml-2.1.0%3C/returndoctype%3E%3Creturndoctype%3Eeml://ecoinformatics.org/eml-2.0.1%3C/returndoctype%3E%3Creturndoctype%3Eeml://ecoinformatics.org/eml-2.0.0%3C/returndoctype%3E%3Creturnfield%3Edataset/title%3C/returnfield%3E%3Creturnfield%3EdataTable/entityName%3C/returnfield%3E%3Creturnfield%3Ecreator/individualName/surName%3C/returnfield%3E%3Creturnfield%3Ecreator/organizationName%3C/returnfield%3E%3Creturnfield%3EdataTable/physical/distribution/online/url%3C/returnfield%3E%3Cquerygroup%20operator=%22INTERSECT%22%3E%3Cqueryterm%20casesensitive=%22false%22%20searchmode=%22starts-with%22%3E%3Cvalue%3EPISCO:%3C/value%3E%3Cpathexpr%3Etitle%3C/pathexpr%3E%3C/queryterm%3E%3Cqueryterm%20casesensitive=%22false%22%20searchmode=%22starts-with%22%3E%3Cvalue%3Episco%3C/value%3E%3Cpathexpr%3E/eml/@packageId%3C/pathexpr%3E%3C/queryterm%3E%3Cquerygroup%20operator=%22INTERSECT%22%3E%3Cqueryterm%20casesensitive=%22true%22%20searchmode=%22equals%22%3E%3Cvalue%3ESubtidal%20Community%20Survey%20Data%3C/value%3E%3Cpathexpr%3EkeywordSet/keyword%3C/pathexpr%3E%3C/queryterm%3E%3Cqueryterm%20casesensitive=%22true%22%20searchmode=%22equals%22%3E%3Cvalue%3EPISCO%20Categories%3C/value%3E%3Cpathexpr%3EkeywordSet/keywordThesaurus%3C/pathexpr%3E%3C/queryterm%3E%3C/querygroup%3E%3C/querygroup%3E%3C/pathquery%3E">
             Subtidal Community Survey Data
             </a>
            <br />
               </td>
              <td>
                <a
                href="{$servletURL}?action=squery&amp;qformat=pisco&amp;query=%3C?xml%20version=%221.0%22?%3E%3Cpathquery%20version=%221.2%22%3E%3Creturndoctype%3Eeml://ecoinformatics.org/eml-2.1.1%3C/returndoctype%3Eeml://ecoinformatics.org/eml-2.1.0%3C/returndoctype%3E%3Creturndoctype%3Eeml://ecoinformatics.org/eml-2.0.1%3C/returndoctype%3E%3Creturndoctype%3Eeml://ecoinformatics.org/eml-2.0.0%3C/returndoctype%3E%3Creturnfield%3Edataset/title%3C/returnfield%3E%3Creturnfield%3EdataTable/entityName%3C/returnfield%3E%3Creturnfield%3Ecreator/individualName/surName%3C/returnfield%3E%3Creturnfield%3Ecreator/organizationName%3C/returnfield%3E%3Creturnfield%3EdataTable/physical/distribution/online/url%3C/returnfield%3E%3Cquerygroup%20operator=%22INTERSECT%22%3E%3Cqueryterm%20casesensitive=%22false%22%20searchmode=%22starts-with%22%3E%3Cvalue%3EPISCO:%3C/value%3E%3Cpathexpr%3Etitle%3C/pathexpr%3E%3C/queryterm%3E%3Cqueryterm%20casesensitive=%22false%22%20searchmode=%22starts-with%22%3E%3Cvalue%3Episco%3C/value%3E%3Cpathexpr%3E/eml/@packageId%3C/pathexpr%3E%3C/queryterm%3E%3Cquerygroup%20operator=%22INTERSECT%22%3E%3Cqueryterm%20casesensitive=%22true%22%20searchmode=%22equals%22%3E%3Cvalue%3EMicrochemistry%20Data%3C/value%3E%3Cpathexpr%3EkeywordSet/keyword%3C/pathexpr%3E%3C/queryterm%3E%3Cqueryterm%20casesensitive=%22true%22%20searchmode=%22equals%22%3E%3Cvalue%3EPISCO%20Categories%3C/value%3E%3Cpathexpr%3EkeywordSet/keywordThesaurus%3C/pathexpr%3E%3C/queryterm%3E%3C/querygroup%3E%3C/querygroup%3E%3C/pathquery%3E">
            Microchemistry Data
            </a>
            <br />
            <a
            href="{$servletURL}?action=squery&amp;qformat=pisco&amp;query=%3C?xml%20version=%221.0%22?%3E%3Cpathquery%20version=%221.2%22%3E%3Creturndoctype%3Eeml://ecoinformatics.org/eml-2.1.1%3C/returndoctype%3Eeml://ecoinformatics.org/eml-2.1.0%3C/returndoctype%3E%3Creturndoctype%3Eeml://ecoinformatics.org/eml-2.0.1%3C/returndoctype%3E%3Creturndoctype%3Eeml://ecoinformatics.org/eml-2.0.0%3C/returndoctype%3E%3Creturnfield%3Edataset/title%3C/returnfield%3E%3Creturnfield%3EdataTable/entityName%3C/returnfield%3E%3Creturnfield%3Ecreator/individualName/surName%3C/returnfield%3E%3Creturnfield%3Ecreator/organizationName%3C/returnfield%3E%3Creturnfield%3EdataTable/physical/distribution/online/url%3C/returnfield%3E%3Cquerygroup%20operator=%22INTERSECT%22%3E%3Cqueryterm%20casesensitive=%22false%22%20searchmode=%22starts-with%22%3E%3Cvalue%3EPISCO:%3C/value%3E%3Cpathexpr%3Etitle%3C/pathexpr%3E%3C/queryterm%3E%3Cqueryterm%20casesensitive=%22false%22%20searchmode=%22starts-with%22%3E%3Cvalue%3Episco%3C/value%3E%3Cpathexpr%3E/eml/@packageId%3C/pathexpr%3E%3C/queryterm%3E%3Cquerygroup%20operator=%22INTERSECT%22%3E%3Cqueryterm%20casesensitive=%22true%22%20searchmode=%22equals%22%3E%3Cvalue%3EIntertidal%20Recruitment%20Data%3C/value%3E%3Cpathexpr%3EkeywordSet/keyword%3C/pathexpr%3E%3C/queryterm%3E%3Cqueryterm%20casesensitive=%22true%22%20searchmode=%22equals%22%3E%3Cvalue%3EPISCO%20Categories%3C/value%3E%3Cpathexpr%3EkeywordSet/keywordThesaurus%3C/pathexpr%3E%3C/queryterm%3E%3C/querygroup%3E%3C/querygroup%3E%3C/pathquery%3E">
        Intertidal Recruitment Data
        </a>
        <br />
            <a
            href="{$servletURL}?action=squery&amp;qformat=pisco&amp;query=%3C?xml%20version=%221.0%22?%3E%3Cpathquery%20version=%221.2%22%3E%3Creturndoctype%3Eeml://ecoinformatics.org/eml-2.1.1%3C/returndoctype%3Eeml://ecoinformatics.org/eml-2.1.0%3C/returndoctype%3E%3Creturndoctype%3Eeml://ecoinformatics.org/eml-2.0.1%3C/returndoctype%3E%3Creturndoctype%3Eeml://ecoinformatics.org/eml-2.0.0%3C/returndoctype%3E%3Creturnfield%3Edataset/title%3C/returnfield%3E%3Creturnfield%3EdataTable/entityName%3C/returnfield%3E%3Creturnfield%3Ecreator/individualName/surName%3C/returnfield%3E%3Creturnfield%3Ecreator/organizationName%3C/returnfield%3E%3Creturnfield%3EdataTable/physical/distribution/online/url%3C/returnfield%3E%3Cquerygroup%20operator=%22INTERSECT%22%3E%3Cqueryterm%20casesensitive=%22false%22%20searchmode=%22starts-with%22%3E%3Cvalue%3EPISCO:%3C/value%3E%3Cpathexpr%3Etitle%3C/pathexpr%3E%3C/queryterm%3E%3Cqueryterm%20casesensitive=%22false%22%20searchmode=%22starts-with%22%3E%3Cvalue%3Episco%3C/value%3E%3Cpathexpr%3E/eml/@packageId%3C/pathexpr%3E%3C/queryterm%3E%3Cquerygroup%20operator=%22INTERSECT%22%3E%3Cqueryterm%20casesensitive=%22true%22%20searchmode=%22equals%22%3E%3Cvalue%3ESubtidal%20Recruitment%20Data%3C/value%3E%3Cpathexpr%3EkeywordSet/keyword%3C/pathexpr%3E%3C/queryterm%3E%3Cqueryterm%20casesensitive=%22true%22%20searchmode=%22equals%22%3E%3Cvalue%3EPISCO%20Categories%3C/value%3E%3Cpathexpr%3EkeywordSet/keywordThesaurus%3C/pathexpr%3E%3C/queryterm%3E%3C/querygroup%3E%3C/querygroup%3E%3C/pathquery%3E">
        Subtidal Recruitment Data
        </a>
          </td>
        </tr>
     </table>
    <xsl:comment>end the search form area</xsl:comment>
    <!-- end search form area -->
  </xsl:template>

</xsl:stylesheet>
